Qt Reference Documentation

- Qt 4.8
- ALL VERSIONS

- A
- A
- A
- Print

# QErrorMessage Class Reference

The QErrorMessage class provides an error message display dialog. More...

     #include <QErrorMessage>

Inherits: QDialog.

- List of all members, including inherited members
- Qt 3 support members

## Public Functions

| QErrorMessage ( QWidget * parent = 0 )
| ~QErrorMessage ()

- 8 public functions inherited from QDialog
- 221 public functions inherited from QWidget
- 29 public functions inherited from QObject
- 13 public functions inherited from QPaintDevice

## Public Slots

void | showMessage ( const QString & message )
void | showMessage ( const QString & message, const QString & type )

- 5 public slots inherited from QDialog
- 19 public slots inherited from QWidget
- 1 public slot inherited from QObject

## Static Public Members

QErrorMessage * | qtHandler ()

- 4 static public members inherited from QWidget
- 7 static public members inherited from QObject

## Reimplemented Protected Functions

virtual void | changeEvent ( QEvent * e )
virtual void | done ( int a )

- 7 protected functions inherited from QDialog
- 37 protected functions inherited from QWidget
- 8 protected functions inherited from QObject
- 1 protected function inherited from QPaintDevice

### Additional Inherited Members

- 2 properties inherited from QDialog
- 58 properties inherited from QWidget
- 1 property inherited from QObject
- 3 signals inherited from QDialog
- 1 signal inherited from QWidget
- 1 signal inherited from QObject
- 7 protected functions inherited from QDialog
- 37 protected functions inherited from QWidget
- 8 protected functions inherited from QObject
- 1 protected function inherited from QPaintDevice
- 1 protected slot inherited from QWidget

## Detailed Description

The QErrorMessage class provides an error message display dialog.

An error message widget consists of a text label and a checkbox. The checkbox lets the user control whether the same error message will be displayed again in the future, typically displaying the text, "Show this message again" translated into the appropriate local language.

For production applications, the class can be used to display messages which the user only needs to see once. To use QErrorMessage like this, you create the dialog in the usual way, and show it by calling the showMessage() slot or connecting signals to it.

The static qtHandler() function installs a message handler using qInstallMsgHandler() and creates a QErrorMessage that displays qDebug(), qWarning() and qFatal() messages. This is most useful in environments where no console is available to display warnings and error messages.

In both cases QErrorMessage will queue pending messages and display them in order, with each new message being shown as soon as the user has accepted the previous message. Once the user has specified that a message is not to be shown again it is automatically skipped, and the dialog will show the next appropriate message in the queue.

The Standard Dialogs example shows how to use QErrorMessage as well as other built-in Qt dialogs.

See also QMessageBox, QStatusBar::showMessage(), and Standard Dialogs Example.

## Member Function Documentation

### QErrorMessage::QErrorMessage ( QWidget * parent = 0 )

Constructs and installs an error handler window with the given parent.

### QErrorMessage::~QErrorMessage ()

Destroys the error message dialog.

### void QErrorMessage::changeEvent ( QEvent * e )`[virtual protected]`

Reimplemented from QWidget::changeEvent().

### void QErrorMessage::done ( int a )`[virtual protected]`

Reimplemented from QDialog::done().

### QErrorMessage * QErrorMessage::qtHandler ()`[static]`

Returns a pointer to a QErrorMessage object that outputs the default Qt messages. This function creates such an object, if there isn't one already.

### void QErrorMessage::showMessage ( const QString & message )`[slot]`

Shows the given message, message, and returns immediately. If the user has requested for the message not to be shown again, this function does nothing.

Normally, the message is displayed immediately. However, if there are pending messages, it will be queued to be displayed later.

### void QErrorMessage::showMessage ( const QString & message, const QString & type )`[slot]`

This is an overloaded function.

Shows the given message, message, and returns immediately. If the user has requested for messages of type, type, not to be shown again, this function does nothing.

Normally, the message is displayed immediately. However, if there are pending messages, it will be queued to be displayed later.

This function was introduced in Qt 4.5.

See also showMessage().